Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453743 - Guest userspace cannot access additional xenbus watch data
Summary: Guest userspace cannot access additional xenbus watch data
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Xen Maintainance List
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: 492568
TreeView+ depends on / blocked
 
Reported: 2008-07-02 10:08 UTC by Ian Campbell
Modified: 2009-07-29 09:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-29 09:31:43 UTC


Attachments (Terms of Use)

Description Ian Campbell 2008-07-02 10:08:29 UTC
When a xenbus watch fires the event can contain some additional data as well as
the path which fired and the watch token. This additional data is not passed
through to userspace xenbus clients. This functionality is implemented by
upstream changeset http://xenbits.xensource.com/linux-2.6.18-xen.hg?cs=8523584ffaa3.

All RHEL 4 and RHEL 5 kernels have this problem.

Comment 1 Don Dutile 2008-07-02 15:49:29 UTC
Please state which/what userspace xenbus clients need the additional information,
and how those clients work or don't work w/o the additional information currently.


Comment 2 Bill Burns 2009-02-13 15:54:37 UTC
Ian, any feedback on the need info request?

Comment 3 Ian Campbell 2009-03-30 17:33:38 UTC
Sorry for not getting back to you sooner.

I have attempted to contact the customer who originally made this request to me to find out what they are doing but with no luck. My impression at the time was that they had a simple message passing layer where you watch a node and when it fires you can get a bit of extra detail in the watch message itself rather than having to go to xenstore again to find out what happened, or something like that...

Since the original impetus seems to have gone as far as I am concerned you are welcome to close this, or to leave it as a low priority wishlist bug.

Comment 5 Chris Lalancette 2009-07-29 09:31:43 UTC
I'm closing this for now, as it doesn't seem relevant at the moment.  If the customer that needs this comes back, we can re-open this or open up a new BZ.

Chris Lalancette


Note You need to log in before you can comment on or make changes to this bug.